# Generated by Django 3.1.5 on 2021-03-12 08:08

from django.db import migrations, models
import django.db.models.deletion

def add_equipes(apps, schema_editor):
    equipes = {
        "Enseignement": 'Enseignement'
    }

    Equipe = apps.get_model('users', 'Equipe')

    for k, v in equipes.items():
        e = Equipe.objects.create(nom=k, details=v)
        e.save()

def create_disciplines(apps, schema_editor):
    disciplines = [
        'BAP A : Sciences du vivant',
        'BAP B : Sciences chimiques et sciences des matériaux',
        'BAP C : Sciences de l\'ingénieur et instrumentation scientifique',
        'BAP D : Sciences humaines et sociales',
        'BAP E : Informatique, statistique et calcul scientifique',
        'BAP F : Culture, communication, production et diffusion des savoirs',
        'BAP G : Patrimoine, logistique, restauration et prévention',
        'BAP J : Gestion et pilotage',
        '01 : Droit privé et sciences criminelles',
        '02 : Droit public',
        '03 : Histoire du droit et des institutions',
        '04 : Science politique',
        '05 : Sciences économiques',
        '06 : Sciences de gestion',
        '07 : Sciences du langage : linguistique et phonétique générales',
        '08 : Langues et littératures anciennes',
        '09 : Langue et littérature françaises',
        '10 : Littératures comparées',
        '11 : Langues et littératures anglaises et anglo-saxonnes',
        '12 : Langues et littératures germaniques et scandinaves',
        '13 : Langues et littératures slaves',
        '14 : Langues et littératures romanes : espagnol, italien, portugais, autres langues romanes',
        '15 : Langues et littératures arabes, chinoises, japonaises, hébraïques, d\'autres domaines linguistiques',
        '16 : Psychologie, psychologie clinique, psychologie sociale',
        '17 : Philosophie',
        '18 : Architecture et Arts : plastiques, du spectacle, musique, musicologie, esthétique, sciences de l\'art',
        '19 : Sociologie, démographie',
        '20 : Anthropologie biologique, ethnologie, préhistoire',
        '21 : Histoire et civilisations : histoire et archéologie des mondes anciens et des mondes médiévaux',
        '22 : Histoire et civilisations : histoire des mondes modernes, histoire du monde contemporain',
        '23 : Géographie physique, humaine, économique et régionale',
        '24 : Aménagement de l\'espace, urbanisme',
        '25 : Mathématiques',
        '26 : Mathématiques appliquées et applications des mathématiques',
        '27 : Informatique',
        '28 : Milieux denses et matériaux',
        '29 : Constituants élémentaires',
        '30 : Milieux dilués et optique',
        '31 : Chimie théorique, physique, analytique',
        '32 : Chimie organique, inorganique, industrielle',
        '33 : Chimie des matériaux',
        '34 : Astronomie, astrophysique',
        '35 : Structure et évolution de la Terre et des autres planètes',
        '36 : Terre solide : géodynamique des enveloppes supérieures, paléobiosphère',
        '37 : Météorologie, océanographie physique et physique de l\'environnement',
        '42 : Morphologie et morphogenèse',
        '43 : Biophysique et imagerie médicale',
        '44 : Biochimie, biologie cellulaire et moléculaire, physiologie et nutrition',
        '45 : Microbiologie, maladies transmissibles et hygiène',
        '46 : Santé publique, environnement et société',
        '47 : Cancérologie, génétique, hématologie, immunologie',
        '48 : Anesthésiologie, réanimation, médecine d\'urgence, pharmacologie et thérapeutique',
        '49 : Pathologie nerveuse et musculaire, pathologie mentale, handicap et rééducation',
        '50 : Pathologie ostéo-articulaire, dermatologie et chirurgie plastique',
        '51 : Pathologie cardiorespiratoire et vasculaire',
        '52 : Maladies des appareils digestif et urinaire',
        '53 : Médecine interne, gériatrie, chirurgie générale et médecine générale',
        '54 : Développement et pathologie de l\'enfant, gynécologie-obstétrique, endocrinologie et reproduction',
        '55 : Pathologie de la tête et du cou',
        '56 : Développement, croissance et prévention',
        '57 : Sciences biologiques, médecine et chirurgie buccales',
        '58 : Sciences physiques et physiologiques endodontiques et prothétiques',
        '60 : Mécanique, génie mécanique, génie civil',
        '61 : Génie informatique, automatique et traitement du signal',
        '62 : Énergétique, génie des procédés',
        '63 : Génie Électrique, Électronique, optronique et systèmes',
        '64 : Biochimie et biologie moléculaire',
        '65 : Biologie cellulaire',
        '66 : Physiologie',
        '67 : Biologie des populations et écologie',
        '68 : Biologie des organismes',
        '69 : Neurosciences',
        '70 : Sciences de l\'éducation',
        '71 : Sciences de l\'information et de la communication',
        '72 : Épistémologie, histoire des sciences et des techniques',
        '73 : Cultures et langues régionales',
        '74 : Sciences et techniques des activités physiques et sportives',
        '76 : Théologie catholique',
        '77 : Théologie protestante',
        '80/85 : Sciences physico-chimiques et ingénierie appliquée à la santé (ex-39)',
        '81/86 : Sciences du médicament et des autres produits de santé (ex-40)',
        '82/87 : Sciences biologiques, fondamentales et cliniques (ex-41)',
        '90 : Maïeutique',
        '91 : Sciences de la rééducation et de la réadaptation',
        '92 : Sciences infirmières'
    ]
    Discipline = apps.get_model('users', 'Discipline')
    for discipline in disciplines:
        d = Discipline.objects.create(nom=discipline)
        d.save()

def create_statuts(apps, schema_editor):
    statuts = [
        'Adjoint·e technique',
        'Assistant ingénieur·e',
        'ATER',
        'Chargé·e d’études/de mission',
        'Chargé·e de recherche',
        'Directeur·rice de recherche',
        'Doctorant·e CIFRE',
        'Doctorant·e contractuel·le',
        'Ingénieur·e d’études',
        'Ingénieur·e de recherche',
        'Maître·sse de conférences',
        'Post-doctorant·e',
        'Professeur·e des universités',
        'Technicien·ne',
        'Autre'
    ]
    Statut = apps.get_model('users', 'Statut')
    for statut in statuts:
        s = Statut.objects.create(nom=statut)
        s.save()

def create_genres(apps, schema_editor):
    genres = [
        'Feminin',
        'Masculin',
        'Ne souhaite pas le renseigner',
        'Non-binaire'
    ]
    Genre = apps.get_model('users', 'Genre')
    for genre in genres:
        g = Genre.objects.create(nom=genre)
        g.save()

def update_equipes(apps, schema_editor):
    Equipe = apps.get_model('users', 'Equipe')
    Equipe.objects.filter(nom='Empreinte').update(details='Axe 1 : « Empreinte »')
    Equipe.objects.filter(nom='Enquête').update(details='Axe 2 : « Enquêtes »')
    Equipe.objects.filter(nom='Expérimentation').update(details='Axe transverse : « Expérimentation »')


class Migration(migrations.Migration):

    dependencies = [
        ('users', '0002_l1p5user_is_active'),
    ]

    operations = [
        migrations.CreateModel(
            name='Discipline',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=150)),
            ],
        ),
        migrations.CreateModel(
            name='Statut',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Genre',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=50)),
            ],
        ),
        migrations.AddField(
            model_name='membre',
            name='anneeNaissance',
            field=models.CharField(blank=True, max_length=4),
        ),
        migrations.AddField(
            model_name='membre',
            name='percETP',
            field=models.IntegerField(null=True),
        ),
        migrations.AddField(
            model_name='membre',
            name='disciplineCNU',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='membre', to='users.discipline'),
        ),
        migrations.AddField(
            model_name='membre',
            name='engagementAssociatif',
            field=models.CharField(blank=True, max_length=500),
        ),
        migrations.AddField(
            model_name='membre',
            name='engagementAutres',
            field=models.CharField(blank=True, max_length=500),
        ),
        migrations.AddField(
            model_name='membre',
            name='engagementInstitutionel',
            field=models.CharField(blank=True, max_length=500),
        ),
        migrations.AddField(
            model_name='membre',
            name='genre',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='membre', to='users.genre'),
        ),
        migrations.AddField(
            model_name='membre',
            name='laboratoire',
            field=models.CharField(blank=True, max_length=50),
        ),
        migrations.AddField(
            model_name='membre',
            name='msgCommunication',
            field=models.CharField(blank=True, max_length=500),
        ),
        migrations.AddField(
            model_name='membre',
            name='msgEmpreinte',
            field=models.CharField(blank=True, max_length=500),
        ),
        migrations.AddField(
            model_name='membre',
            name='msgEnquete',
            field=models.CharField(blank=True, max_length=500),
        ),
        migrations.AddField(
            model_name='membre',
            name='msgExperimentation',
            field=models.CharField(blank=True, max_length=500),
        ),
        migrations.AddField(
            model_name='membre',
            name='msgReflexion',
            field=models.CharField(blank=True, max_length=500),
        ),
        migrations.AddField(
            model_name='membre',
            name='msgTechnique',
            field=models.CharField(blank=True, max_length=500),
        ),
        migrations.AddField(
            model_name='membre',
            name='msgEnseignement',
            field=models.CharField(blank=True, max_length=500),
        ),
        migrations.AddField(
            model_name='membre',
            name='statut',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='membre', to='users.statut'),
        ),
        migrations.AddField(
            model_name='membre',
            name='tutelles',
            field=models.ManyToManyField(related_name='membre', to='api.Tutelle'),
        ),
        migrations.AlterField(
            model_name='membre',
            name='discipline',
            field=models.CharField(max_length=100, null=True),
        ),
        migrations.AlterField(
            model_name='membre',
            name='latitude',
            field=models.DecimalField(decimal_places=7, max_digits=10, null=True),
        ),
        migrations.AlterField(
            model_name='membre',
            name='longitude',
            field=models.DecimalField(decimal_places=7, max_digits=10, null=True),
        ),
        migrations.AlterField(
            model_name='membre',
            name='nom',
            field=models.CharField(max_length=50, null=True),
        ),
        migrations.AlterField(
            model_name='membre',
            name='pays',
            field=models.CharField(max_length=50, null=True),
        ),
        migrations.AlterField(
            model_name='membre',
            name='prenom',
            field=models.CharField(max_length=50, null=True),
        ),
        migrations.AlterField(
            model_name='membre',
            name='ville',
            field=models.CharField(max_length=50, null=True),
        ),
        migrations.AddField(
            model_name='membre',
            name='isInAnnuaire',
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name='membre',
            name='valid',
            field=models.BooleanField(default=False),
        ),
        migrations.RunPython(create_disciplines),
        migrations.RunPython(create_statuts),
        migrations.RunPython(create_genres),
        migrations.RunPython(add_equipes),
        migrations.RunPython(update_equipes),
    ]
